cancel
Showing results for 
Show  only  | would you rather see results for 
Did you mean: 
Need help?

SuperSafe for Android

Reply
6 REPLIES 6
Minniecat
First Timer

I've just tried to download the new supersafe boost for android and it says 'your device isn't compatible with this version'.

OCE_Ady
Community Team - TT Staff

Hi Minniecat, I'm guessing that you know your device should be compatible? What device and OS is it?


Please log in to My Account if you need to view or pay your bill, manage boosts and track your usage. From My Account you can also check your connection and test your line for any issues in the Service Centre.


Minniecat
First Timer

Samsung Galaxy J1. What does OS mean ?

ferguson
Community Star

I think Ady meant which version of Android does it use?

 

A quick search suggests it is 4.4.4 whereas the Google Play Store indicates that TalkTalk SuperSafe requires 5.0 and up, so it is indeed incompatible.

OCE_Ady
Community Team - TT Staff

Yes sorry I did mean which version of the Operating System in this case Android. Apologies for not being clear. 


Please log in to My Account if you need to view or pay your bill, manage boosts and track your usage. From My Account you can also check your connection and test your line for any issues in the Service Centre.


Gondola
Community Star

Hi @Minniecat

 

SuperSafe Boost is compatible with Android Operating System (OS) version 5.0.0 or higher number.

The Samsung Galaxy J1 was first introduced with the Android Operating System (OS) version 4.4.4 otherwise known as KitKat.

 

To add to the responses here, I feel it's worth checking to update the 'phone OS. Whether it will update depends on whether the supplier allowed updates - some supplier software may require a specific OS.  But many Samsung J1 devices will update the OS at least to version 5 so here's hoping yours is one that will update.

You can find the currently installed OS by:

  • Selecting Settings (cogwheel icon)
  • Scroll down to and select About phone
  • Look at the Android version number
  • What is the three number sequence? Still version 4?
  • Click on System Updates (top of same page)
  • If the phone is connected to your wi-fi did it update?
    ...or did it say it was up to date?
  • Power off the 'phone and then repower and recheck
 Gondola - Volunteer 2017-2021

To appreciate my help . . . If I offered a solution Best Answer

OCE_Ady
Community Team - TT Staff

Hi Minniecat, as Gondola says it is worth checking as you'll more than likely had quite a few updates since you got the phone. 


Please log in to My Account if you need to view or pay your bill, manage boosts and track your usage. From My Account you can also check your connection and test your line for any issues in the Service Centre.